openSUSE Security Update : expat (openSUSE-2019-2204)

medium Nessus Plugin ID 129456
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 3.6

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for expat fixes the following issues :

Security issues fixed :

- CVE-2019-15903: Fixed heap-based buffer over-read caused by crafted XML input. (bsc#1149429)

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected expat packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1149429

Plugin Details

Severity: Medium

ID: 129456

File Name: openSUSE-2019-2204.nasl

Version: 1.4

Type: local

Agent: unix

Published: 9/30/2019

Updated: 1/19/2021

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 3.6

CVSS v2.0

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:expat, p-cpe:/a:novell:opensuse:expat-32bit-debuginfo, p-cpe:/a:novell:opensuse:expat-debuginfo, p-cpe:/a:novell:opensuse:expat-debugsource, p-cpe:/a:novell:opensuse:libexpat-devel, p-cpe:/a:novell:opensuse:libexpat-devel-32bit, p-cpe:/a:novell:opensuse:libexpat1, p-cpe:/a:novell:opensuse:libexpat1-32bit, p-cpe:/a:novell:opensuse:libexpat1-32bit-debuginfo, p-cpe:/a:novell:opensuse:libexpat1-debuginfo, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 9/28/2019

Vulnerability Publication Date: 9/4/2019

Reference Information

CVE: CVE-2019-15903